using UnityEngine;
using Gamelogic.Grids2;

public class CellContents : MonoBehaviour {

    GridPoint2 pos;

	void RegisterAsContents(GridPoint2 p)
    {
        pos = p;
        GameMap.Cell[pos].AddContents(transform);
    }

    void OnDestroy()
    {
        GameMap.Cell[pos].RemoveContents(transform);
    }

}
